| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
Digikam::BlackFrameToolTip Class Reference
Inheritance diagram for Digikam::BlackFrameToolTip:

## Public Member Functions
| BlackFrameToolTip (QTreeWidget *const view)
void | setItem (QTreeWidgetItem *const item)
void | setToolTipString (const QString &tip)
void | show ()
Public Member Functions inherited from Digikam::DItemToolTip
| DItemToolTip (QWidget *const parent=nullptr)

## Protected Member Functions
QRect | repositionRect () override
QString | tipContents () override
Protected Member Functions inherited from Digikam::DItemToolTip
bool | event (QEvent *) override
void | paintEvent (QPaintEvent *) override
void | renderArrows ()
void | reposition ()
void | resizeEvent (QResizeEvent *) override
bool | toolTipIsEmpty () const
void | updateToolTip ()

## Member Function Documentation

## ◆ repositionRect()

QRect Digikam::BlackFrameToolTip::repositionRect | ( |  | ) |
| override protected virtual

Implements Digikam::DItemToolTip.

## ◆ tipContents()

QString Digikam::BlackFrameToolTip::tipContents | ( |  | ) |
| override protected virtual

Implements Digikam::DItemToolTip.